Subject: Linux-Activists - DOC Channel digest. 93-7-25-5:34
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Wed, 25 Aug 1993 12:37:06 +0300

Topics:
	 Re: Adam - The perfect man(1) - part0/2

----------------------------------------------------------------------

From: Rick Miller <[email-masked]>
Subject: Re: Adam - The perfect man(1) - part0/2
Date: Wed, 25 Aug 1993 07:38:21 +0300

I've forwarded this for consideration by the Linux DOC activists...

[email-masked] writes:
>
>
>Adam    - The perfect man(1).
>
>You all know the facts, animals, fish, plants, etc. were created first, but
>none satisfied God, he made Adam. The only difference is that I'm not God,
>just someone who wants a better tool.
>
>Please read this entire file, and the manpage before using it.
>
>This is a replacement for Un*x man(1), apropos(1), and makewhatis(1).
>It has all kinds of neat features that other versions of man don't,
>including support for multiple man page directory trees, preformatted
>man pages, PostScript, AND, the biggie, it will use the _NEWEST_ version
>of a manpage, if man1/ls.1 is newer than cat1/ls.1, it will use it, and
>vice versa.  It is provided without any warranty whatever.
>I hope you find it useful.
>
>If you define PSFormat-pipeline in your adamrc file, you can say things like
>`adam -ps foo | lp[r]' and have fabulous printed documentation as well.
>
>I have made adam handle all the bizarre ways various vendors have of
>organizing man pages.  This version of adam will allow directory trees
>of the following structures.
>
>   All_dirs_in_MANPATH/
>        (man|cat){SECTION}[.SUFFIX]/
>             foo[.SECTION][.SUFFIX]
>             ...
>
>where SECTION is some number or string and should be listed in the set of
>sections to be searched.  It is not necessary to have both the cat*
>and man* subdirectories, but you must have at least one. :-)
>
>SUFFIX is any suffix that has some de-compressor attached to it. Unlike
>other manual-readers, SUFFIX may be defined dynamically in your system
>adamrc, and $HOME/.adamrc. See the manpage for adam for details.
>
>
>INSTALLATION
>
>1. Edit the make file to your liking, especially -DUSE_GETCWD. Define
>   this if your system uses getcwd() instead of getwd().
>
>2. Edit adamrc. It contains system dependant initialization. This is so
>   users don't have to know all the secret places manpages are kept, but
>   can define their own in $HOME/.adamrc.
>
>3. Do a `make all', try it out, and then if you're happy with that, do
>   a `make install'.  You don't need to be root to use this set of
>   programs.
>
>4. Install the whatis database(s) by running makewhatis.  If you want
>   to keep things absolutely current, you'll need to run this whenever
>   you add new man pages.  You might want to add an entry in your
>   crontab.
>
>PORTABILITY
>
>This is none to work on at least:
>
>        HPUX 8.0
>        SunOS 4.1.3
>
>If you get it to work on anything else, please tell me. If you had to make
>changes to my code before it would work, also tell me, so I might put them
>in myself. (And you won't have to again next release! :-) )
>
>BUGS
>
>If you find one of these, please tell me about it.  If you have a fix,
>that's even better.  If not, I can't guarantee that I'll fix it, but I
>would like to know about them.
>
>Mark Mielke
>
>[email-masked]    - On the INTERNET
>markem@bcarh10d - Within BNR
>
>CHANGES
>
>None yet.
>
>CREDITS
>
>MUCH THANKS to Anita Eijs for his free list library, don't know what I would
>have done without it!
>
>-- 
>One .sig to rule them all, One .sig to find them...
>One .sig to bring them all and in the darkness bind them.
>
>markem@bcarh10d -Within BNR  /  [email-masked] -Without BNR :-)

RICK MILLER           <[email-masked]>            Voice:  +1 414 221-3403
P.O. BOX 1759                                        FAX:  +1 414 221-4744
MILWAUKEE, WI                      Send a postcard and I'll send one back.
53150-1759 USA                    Sendu bildkarton kaj mi retrosendos oni.

------------------------------

End of DOC Digest
*****************
-------